package com.yx.face;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableAsync;
import tk.mybatis.spring.annotation.MapperScan;

@EnableAsync
@EnableFeignClients
@MapperScan(basePackages = "com.yx.face.dao")
@SpringBootApplication
public class FaceServerApplication {

    public static void main(String[] args) {
        SpringApplication.run(FaceServerApplication.class, args);
    }
}
