package com.yx.face.controller.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 管理人员信息表(AdminInfo)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-04-02 17:13:56 <br>
 */

@ApiModel(" 微信请求相关参数 model")
@Data
public class WxInfoDTO {

    @ApiModelProperty(value = "微信小程序 登录时获取的 code")
    private String code;
    @ApiModelProperty(value = "数据签名")
    private String signature;
    @ApiModelProperty(value = "微信用户基本信息")
    private String rawData;
    @ApiModelProperty(value = "数据签名")
    private String encryptedData;
    @ApiModelProperty(value = "加密算法的初始向量")
    private String iv;
}

