//package com.yx.face.controller.admin;
//
//
//import com.github.pagehelper.PageInfo;
//import com.yx.face.boot.component.security.Authority;
//import com.yx.face.boot.core.BaseController;
//import com.yx.face.boot.restful.RestDTO;
//import com.yx.face.boot.restful.RestResponse;
//import com.yx.face.boot.restful.RestResult;
//import com.yx.face.boot.restful.ServiceException;
//import com.yx.face.model.dto.SystemConfigDTO;
//import com.yx.face.model.query.SystemConfigQu;
//import com.yx.face.model.vo.SystemConfigVO;
//import com.yx.face.service.SystemConfigService;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import lombok.RequiredArgsConstructor;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//
///**
// * @description: 系统配置表(SystemConfig)表控制层 <br>
// * @author: PWB <br>
// * @since: 1.0 <br>
// * @date: 2021-06-26 14:03:04 <br>
// */
//
//@RequiredArgsConstructor(onConstructor = @__(@Autowired))
//@Api(tags = "B 系统相关配置 API")
//@Authority({1, 2})
//@RestController
//@RequestMapping("admin/sysInquire")
//public class AdminConfigController extends BaseController {
//
//    /**
//     * 服务对象
//     */
//    private final SystemConfigService systemConfigService;
//
//
//    @ApiOperation(value = "添加")
//    @PostMapping("/addOrUpdate")
//    public RestResult<Boolean> add(@RequestBody SystemConfigDTO dto) {
//        return RestResponse.ok(systemConfigService.add(dto, getUserId()));
//    }
//
//
//    @ApiOperation(value = "删除")
//    @DeleteMapping("/delete")
//    public RestResult<Boolean> delete(Integer id) {
//        if (id == null) {
//            throw new ServiceException("参数不全");
//        }
//        return RestResponse.ok(systemConfigService.delete(id));
//    }
//
//
//    @ApiOperation(value = "列表")
//    @PostMapping("/getList")
//    public RestResult<PageInfo<SystemConfigVO>> getList(@RequestBody RestDTO<SystemConfigQu> dto) {
//        PageInfo<SystemConfigVO> list = systemConfigService.getList(dto, getUserId());
//        return RestResponse.ok(list);
//    }
//
//}
//
