package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.PoliceStation;
import com.yx.face.model.vo.PoliceStationVO;

import java.util.List;

/**
 * @description: 派出所信息表(PoliceStation)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-05-21 13:37:14 <br>
 */

public interface PoliceStationDao extends TKMapper<PoliceStation> {

//    Integer getPoliceStationIdByCode(@Param("code") String code);
//
//    String getPoliceName(@Param("code") String code);
//
//    List<PoliceStation> getPoliceStation(@Param("addressCode") Integer addressCode);
//
//    List<PoliceStationVO> getPoliceList(@Param("addressCode") Integer addressCode);


    List<PoliceStationVO> getList(String areaCode);

    PoliceStation getByPoliceStation(String policeStationCode);
}

