package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.UserInfo;
import com.yx.face.model.query.QueryUser;
import com.yx.face.model.vo.UserInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description: 用户基础信息表(UserInfo)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:50 <br>
 */

public interface UserInfoDao extends TKMapper<UserInfo> {


    List<UserInfoVO> getUsersByFacePass(@Param("query") QueryUser query);

}

