package com.yx.face.model.dto;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 地址编码表(AreaCode)DTO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:45 <br>
 */

@ApiModel("地址编码表DTO model")
@Data
public class AreaCodeDTO {

    @ApiModelProperty(value = "地址Id")
    private Integer id;

    @ApiModelProperty(value = "区域名称")
    private String name;

    @ApiModelProperty(value = "地址全称")
    private String address;

    @ApiModelProperty(value = "区域Code")
    private Integer code;

    @ApiModelProperty(value = "上级区域Code")
    private Integer superCode;


}

