package com.yx.face.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ProjectName: face-server
 * @Package: com.yx.face.model.dto
 * @ClassName: SystemPushConfigDTO
 * @Author: 崔哥
 * @Description:
 * @Date: 2021/11/22 16:58
 * @Version: 1.0
 */
@ApiModel("数据推送添加DTO model")
@Data
public class SystemPushConfigDTO {
    @ApiModelProperty(value = "修改数据id")
    private Integer id;

    @ApiModelProperty(value = "账号Id")
    private Integer adminId;

    @ApiModelProperty(value = "推送Url")
    private String pushUrl;

    @ApiModelProperty(value = "停用-0|启用-1")
    private Integer status;

    @ApiModelProperty(value = "推送类型 1进出记录 2访客记录")
    private Integer type;

    @ApiModelProperty(value = "备注")
    private String remark;

}
