package com.yx.face.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @description: 管理人员信息表(Admin)DTO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:44 <br>
 */

@ApiModel("管理人员信息表DTO model")
@Data
public class AdminInfoExcel {



    @ExcelProperty(value = "账号名称",index = 0)
    private String username;

    @ExcelProperty(value = "账号级别",index = 1)
    private String type;

    @ExcelProperty(value = "管理员姓名",index = 2)
    private String name;

    @ExcelProperty(value = "管理员手机号",index = 3)
    private String phone;

    @ExcelProperty(value = "省",index = 4)
    private String provinceName;

    @ExcelProperty(value = "市",index = 5)
    private String cityName;

    @ExcelProperty(value = "区/县",index = 6)
    private String areaName;

    @ExcelProperty(value = "街道",index = 7)
    private String streetName;

    @ExcelProperty(value = "详细地址",index = 8)
    private String address;

    @ExcelProperty(value = "所属组织",index = 9)
    private String policeStationName;

    @ExcelProperty(value = "所属组织代码",index = 10)
    private String policeStationCode;

    @ExcelProperty(value = "密码",index = 11)
    private String password;

    @ExcelProperty(value = "所属部门",index = 12)
    private String tag;

    @ExcelProperty(value = "是否可以导出",index = 13)
    private String isOut;

    @ExcelProperty(value = "是否脱敏",index = 14)
    private String isHideImportant;

    @ExcelProperty(value = "是否开启布控",index = 15)
    private String isControlEarlyWarning;
}

