package com.yx.face.model.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description:
 * @ClassName UserVisitorListVO
 * @Author cmc
 * @Date 2021/11/5 14:23
 */
@ApiModel("预警信息 model")
@Data
public class UserEarlyWarningLogQu {


    //    @ApiModelProperty(value = "设备sn名称")
//    private String snName;
    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "预警人姓名 模糊查")
    private String name;

    @ApiModelProperty(value = "预警人身份证号 全输查")
    private String idNumber;

    @ApiModelProperty(value = "预警是否确认1否2是")
    private Integer status;


    @ApiModelProperty(value = "布控人单位 模糊查")
    private String controlUnit;

    @ApiModelProperty(value = "布控人手机号 全输查")
    private String controlPhone;

    @ApiModelProperty(value = "布控人姓名 模糊查")
    private String controlName;

    @ApiModelProperty(value = "adminId", hidden = true)
    private Long adminId;

}
