package com.yx.face.model.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @ClassName AdminSearch
 * @Author WXG
 * @Date 2021/11/9 17:15
 */
@ApiModel("管理员Search model")
@Data
public class AdminSearch {

    @ApiModelProperty(value = "账号名称 全输查")
    private String username;

    @ApiModelProperty(value = "管理员姓名 模糊查")
    private String name;

    @ApiModelProperty(value = "管理员手机号 全输查")
    private String phone;

    @ApiModelProperty(value = "省份地址编码 全输查")
    private Integer provinceId;

    @ApiModelProperty(value = "城市地址编码 全输查")
    private Integer cityId;

    @ApiModelProperty(value = "县区地址编码 全输查")
    private Integer areaId;

    @ApiModelProperty(value = "权限规则 1.管理员 2.省级总账号 3.省级 4.市级 5.区级 全输查")
    private Byte type;

    @ApiModelProperty(value = "账号类别 全输查")
    private Integer tagId;
}
