package com.yx.face.model.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @ClassName FaceServerLogSearch
 * @Author WXG
 * @Date 2021/11/9 19:31
 */
@ApiModel("进出日志search model")
@Data
public class FaceServerLogSearch {

    @ApiModelProperty(value = "账户名称")
    private String username;

    @ApiModelProperty(value = "用户名")
    private String name;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "设备编号")
    private String deviceSn;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "省份地址编码 全输查")
    private Integer provinceId;

    @ApiModelProperty(value = "城市地址编码 全输查")
    private Integer cityId;

    @ApiModelProperty(value = "县区地址编码 全输查")
    private Integer areaId;


    @ApiModelProperty(value = "体温是否异常 0 正常 1 异常")
    private String twStatus;

    @ApiModelProperty(value = "健康码状态00 绿码 01 黄码 10 红码")
    private String jkmStatus;

    @ApiModelProperty(value = "阴性 阳性")
    private String hsStatus;

    @ApiModelProperty(value = "疫苗状态 0针 等等依次累加")
    private String ymStatus;
}
