package com.yx.face.model.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 地址编码表(AreaCode)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:45 <br>
 */

@ApiModel("地址编码表VO model")
@Data
public class AreaCodeVO {

    @ApiModelProperty(value = "地址Id")
    private Integer id;

    @ApiModelProperty(value = "区域名称")
    private String name;

    @ApiModelProperty(value = "区域Code")
    private String code;

    @ApiModelProperty(value = "上级区域Code")
    private String superCode;

    @ApiModelProperty(value = "类型")
    private Integer type;
}

