package com.yx.face.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description:
 * @ClassName UserControlEarlyWarningVO
 * @Author WXG
 * @Date 2022/1/24 15:48
 */
@ApiModel("预警人员VO model")
@Data
public class UserControlEarlyWarningVO {

    @ApiModelProperty(value = "预警人员id")
    private Long id;

    @ApiModelProperty(value = "预警人员姓名")
    private String earlyWarningName;

    @ApiModelProperty(value = "预警人员身份证号")
    private String earlyWarningIdNumber;

    @ApiModelProperty(value = "布控人姓名")
    private String controlName;

    @ApiModelProperty(value = "布控人电话")
    private String controlPhone;

    @ApiModelProperty(value = "布控人单位")
    private String controlUnit;

    @ApiModelProperty(value = "账户名称")
    private String username;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "账户Id")
    private String adminId;
}
