package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description:
 * @ClassName UserVisitorListVO
 * @Author cmc
 * @Date 2021/11/5 14:23
 */
@ApiModel("预警信息 model")
@Data
public class UserEarlyWarningLogVO {

    @ApiModelProperty(value = "预警id")
    private Long id;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "进出闸机时间")
    private Date faceTime;

    @ApiModelProperty(value = "设备sn名称")
    private String snName;

    @ApiModelProperty(value = "预警人姓名")
    private String name;

    @ApiModelProperty(value = "预警人身份证号")
    private String idNumber;

    @ApiModelProperty(value = "预警人现场照片")
    private String photo;

    @ApiModelProperty(value = "布控人单位")
    private String controlUnit;

    @ApiModelProperty(value = "布控人手机号")
    private String controlPhone;

    @ApiModelProperty(value = "布控人姓名")
    private String controlName;
    @ApiModelProperty(value = "预警是否确认1否2是")
    private Integer status;

}
