package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.model.search.UserWhitelistSearch;
import com.yx.face.model.vo.UserVisitorListVO;

/**
 * @description:
 * @ClassName UserWhitelistService
 * @Author WXG
 * @Date 2021/11/5 14:15
 */
public interface UserVisitorListService {
    /*
     * 获取常客列表分页
     * */
    PageInfo<UserVisitorListVO> getPageList(RestDTO<UserWhitelistSearch> dto);

    Integer addWhite(Integer id, Integer userId) throws Exception;

    Integer addBlack(Integer id ,Integer userId) throws Exception;
}
