package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.FaceTask;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @description: 人脸清除定时任务(FaceTask)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-10 13:43:22 <br>
 */

public interface FaceTaskDao extends TKMapper<FaceTask> {


    Long getFaceTaskId(@Param("deviceSn") String deviceSn, @Param("userId") Long userId);


    List<FaceTask> getFaceTaskList(@Param("now") Date now);

    void updateFaceTaskStatus(@Param("deviceSn") String deviceSn, @Param("userIds") List<Long> userIds);
}

