package com.yx.face.dao;


import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.SystemConfig;
import com.yx.face.model.vo.SystemConfigVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description: 系统配置表(SystemConfig)表数据库访问层 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-26 14:03:04 <br>
 */

public interface SystemConfigDao extends TKMapper<SystemConfig> {

    List<SystemConfigVO> selectList(@Param("accountId") Integer accountId, @Param("status") Integer status, @Param("type") Integer type, @Param("adminId") Integer adminId);

    SystemConfigVO sysConfiguration(@Param("adminId") Integer adminId);

    Integer selectByPrimaryOen(@Param("adminId") Integer adminId);
}

