package com.yx.face.dao;

import com.yx.face.boot.component.tk.TKMapper;
import com.yx.face.model.entity.Admin;
import com.yx.face.model.entity.UserControlEarlyWarningListLog;
import com.yx.face.model.excel.UserEarlyWarningLogExcel;
import com.yx.face.model.vo.UserEarlyWarningLogVO;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 预警日志 Mapper 接口
 * </p>
 *
 * @author wxg
 * @since 2022-01-24
 */
public interface UserControlEarlyWarningListLogDao extends TKMapper<UserControlEarlyWarningListLog> {

    List<UserEarlyWarningLogVO> getListLog(Admin adminInfo);

    int updateEarlyWarningConfirm(@Param("id") Long id, @Param("status") Integer status);

    List<UserEarlyWarningLogVO> getListLogPageInfo(HashMap<String, Object> map);

    List<UserEarlyWarningLogExcel> getUserEarlyWarningLogExcel(HashMap<String, Object> map);
}
