package com.yx.face.model.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 派出所信息表(PoliceStation)DTO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:48 <br>
 */

@ApiModel("派出所信息表DTO model")
@Data
public class PoliceStationDTO {

    @ApiModelProperty(value = "派出所id")
    private Integer id;

    @ApiModelProperty(value = "派出所名称")
    private String name;

    @ApiModelProperty(value = "派出所码")
    private String code;

    @ApiModelProperty(value = "地址code")
    private Integer addressCode;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}

