package com.yx.face.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 系统配置表(SystemConfig)DTO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-26 14:03:07 <br>
 */

@ApiModel("系统配置表DTO model")
@Data
public class SystemConfigDTO {

    @ApiModelProperty(value = "数据id")
    private Integer id;

    @ApiModelProperty(value = "账号Id")
    private Integer adminId;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "停用-0|启用-1")
    private Integer status;


    @ApiModelProperty(value = "备注")
    private String remark;

}

