package com.yx.face.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @description:
 * @ClassName UserControlEarlyWarningDTO
 * @Author WXG
 * @Date 2022/1/24 15:48
 */
@ApiModel("预警人员DTO model")
@Data
public class UserControlEarlyWarningDTO {

    @ApiModelProperty(value = "预警人员id 无代表新增 ，有代表修改")
    private Long id;

    @ApiModelProperty(value = "预警人员姓名")
    private String earlyWarningName;

    @ApiModelProperty(value = "预警人员身份证号")
    private String earlyWarningIdNumber;

    @ApiModelProperty(value = "布控人姓名")
    private String controlName;

    @ApiModelProperty(value = "布控人电话")
    private String controlPhone;

    @ApiModelProperty(value = "布控人单位")
    private String controlUnit;

    @ApiModelProperty(value = "管理员id")
    private Integer adminId;


}
