package com.yx.face.model.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * @description:
 * @ClassName AdminData
 * @Author WXG
 * @Date 2021/11/12 16:06
 */
@ApiModel("管理员大屏数据")
@Data
public class AdminData {

    /*
    * 管理员id
    * */
    private Integer adminId;
    /*
     * 通行总人数
     * */
    private Integer totalNum;
    /*
     * 今日通行总人数
     * */
    private Integer todayNum;
    /*
     * 红码人数
     * */
    private Integer redNum;
    /*
     * 黄码人数
     * */
    private Integer yellowNum;
    /*
     * 绿码人数
     * */
    private Integer greenNum;
    /*
     * 健康码未知人数
     * */
    private Integer notKnowNum = 0;
    /*
     * 温度异常人数
     * */
    private Integer twExceptionNum;
    /*
     * 温度正常人数
     * */
    private Integer twNormal = 0;
    /*
     * 密接红码人员人数
     * */
    private Integer contactRedNum;
    /*
     * 密接黄码人员人数
     * */
    private Integer contactYellowNum;
    /*
     * 异常人员人数
     * */
    private Integer exceptionNum;
    /*
     * 已接种疫苗人数
     * */
    private Integer inoculationNum;
    /*
     * 未接种疫苗人数
     * */
    private Integer noInoculationNum = 0;
    /*
     * 七日内完成核酸检测人数
     * */
    private Integer nucleicNum;
    /*
     * 时间
     * */
    private Date time;
    /*
     * 有效时间
     * */
    private Date effectiveTime;
    /*
     *  查询到最大的记录条数
     * */
    private Integer biggerNum;

}
