package com.yx.face.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 系统配置表(SystemConfig)DTO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-26 14:03:07 <br>
 */

@ApiModel("系统配置表查询 model")
@Data
public class SystemConfigQu {


    @ApiModelProperty(value = "账号Id")
    private Integer adminId;


    @ApiModelProperty(value = "停用-0|启用-1")
    private Integer status;

    @ApiModelProperty(value = "类型 (数据脱敏-type -1, 后面扩充以此类推 )")
    private Integer type;

}

