package com.yx.face.model.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @ClassName FaceDeviceSearch
 * @Author WXG
 * @Date 2021/11/9 18:13
 */
@ApiModel("设备search model")
@Data
public class FaceDeviceSearch {

    @ApiModelProperty(value = "账户名称 全输查")
    private String username;

    @ApiModelProperty(value = "设备编号 全输查")
    private String sn;

    @ApiModelProperty(value = "设备名称 模糊查")
    private String name;

    @ApiModelProperty(value = "省份地址编码 全输查")
    private Integer provinceId;

    @ApiModelProperty(value = "城市地址编码 全输查")
    private Integer cityId;

    @ApiModelProperty(value = "县区地址编码 全输查")
    private Integer areaId;

    @ApiModelProperty(value = "不限-0|进-1|出-2")
    private Integer pass;

    @ApiModelProperty(value = "离线-0|在线-1")
    private Integer online;

    @ApiModelProperty(value = "停用-0|启用-1")
    private Integer enable;

    @ApiModelProperty(value = " 2 员工通道")
    private Integer type;


    private Integer adminIdOfStaffEntrance;
}
