package com.yx.face.model.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @ClassName UserControlEarlyWarningDTO
 * @Author WXG
 * @Date 2022/1/24 15:48
 */
@ApiModel("预警人员Search model")
@Data
public class UserControlEarlyWarningSearch {

    @ApiModelProperty(value = "预警人员姓名 模糊查询")
    private String earlyWarningName;

    @ApiModelProperty(value = "预警人员身份证号 全输查询")
    private String earlyWarningIdNumber;

    @ApiModelProperty(value = "布控人姓名 模糊查询")
    private String controlName;

    @ApiModelProperty(value = "布控人电话 全输查询")
    private String controlPhone;

    @ApiModelProperty(value = "布控人单位 模糊查询")
    private String controlUnit;

    @ApiModelProperty(value = "账户名称 全输查询")
    private String username;
}
