package com.yx.face.model.search;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @ClassName UserWhitelistSearch
 * @Author WXG
 * @Date 2021/11/5 14:19
 */
@ApiModel(" 常客白名单Search model")
@Data
public class UserWhitelistSearch {

    @ApiModelProperty(value = "姓名  模糊查询")
    private String name;

    @ApiModelProperty(value = "所属账号")
    private String username;

    @ApiModelProperty(value = "手机号  全输查询")
    private String phone;

    @ApiModelProperty(value = "手机号  全输查询")
    private String idNumber;

    @ApiModelProperty(value = "省份地址编码 全输查")
    private Integer provinceId;

    @ApiModelProperty(value = "城市地址编码 全输查")
    private Integer cityId;

    @ApiModelProperty(value = "县区地址编码 全输查")
    private Integer areaId;
}
