package com.yx.face.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @ClassName AdminData
 * @Author WXG
 * @Date 2021/11/12 16:06
 */
@ApiModel("管理员大屏数据")
@Data
public class AdminDataVO {

    @ApiModelProperty(value = "通行总人数")
    private Integer totalNum;

    @ApiModelProperty(value = "今日通行总人数")
    private Integer todayNum;

    @ApiModelProperty(value = "红码人数")
    private Integer redNum;

    @ApiModelProperty(value = "黄码人数")
    private Integer yellowNum;

    @ApiModelProperty(value = "绿码人数")
    private Integer greenNum;

    @ApiModelProperty(value = "健康码未知人数")
    private Integer notKnowNum;

    @ApiModelProperty(value = "温度异常人数")
    private Integer twExceptionNum;

    @ApiModelProperty(value = "温度正常人数")
    private Integer twNormal;

    @ApiModelProperty(value = "密接红码人员人数")
    private Integer contactRedNum;

    @ApiModelProperty(value = "密接黄码人员人数")
    private Integer contactYellowNum;

    @ApiModelProperty(value = "异常人员人数")
    private Integer exceptionNum;

    @ApiModelProperty(value = "已接种疫苗人数")
    private Integer inoculationNum;

    @ApiModelProperty(value = "未接种疫苗人数")
    private Integer noInoculationNum;

    @ApiModelProperty(value = "七日内完成核酸检测人数")
    private Integer nucleicNum;


}
