package com.yx.face.model.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 地址编码表(AreaCode)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:45 <br>
 */

@ApiModel("地址编码表VO model")
@Data
public class AreaCodeVOList {

    @ApiModelProperty(value = "地址编码Id")
    private Integer areaCodeId;

    @ApiModelProperty(value = "区域名称")
    private String name;

}

