package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 人脸下发表(FacePass)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:47 <br>
 */

@ApiModel("人脸下发表VO model")
@Data
public class FacePassUserInFoVO {

//    avatar , username , phone , id_number as idNumber, create_time as createTime

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "用户名")
    private String phone;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "身份证")
    private String idNumber;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}

