package com.yx.face.model.vo;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 天波人脸服务请求日志表(FaceRequestLog)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:47 <br>
 */

@ApiModel("天波人脸服务请求日志表VO model")
@Data
public class FaceRequestLogVO {

    @ApiModelProperty(value = "请求天波人脸服务id")
    private Long id;

    @ApiModelProperty(value = "接口名")
    private String name;

    @ApiModelProperty(value = "接口路径")
    private String context;

    @ApiModelProperty(value = "请求参数")
    private String params;

    @ApiModelProperty(value = "请求中-0|成功-1|失败-2")
    private Integer status;

    @ApiModelProperty(value = "耗时")
    private Long usedTime;

    @ApiModelProperty(value = "更新时间 ")
//    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
//    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}

