package com.yx.face.model.vo;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 用户人脸记录表(UserFaceRecords)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:50 <br>
 */

@ApiModel("用户人脸记录表VO model")
@Data
public class UserFaceRecordsVO {

    @ApiModelProperty(value = "用户人脸记录id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "人脸识别的任务id")
    private String taskId;

    @ApiModelProperty(value = "用户手机号")
    private String phone;

    @ApiModelProperty(value = "用户身份证号")
    private String idNumber;

    @ApiModelProperty(value = "用户姓名")
    private String username;

    @ApiModelProperty(value = "认证照片")
    private String photo;

    @ApiModelProperty(value = "Token值")
    private String token;

    @ApiModelProperty(value = "创建时间")
//    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}

