package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 用户基础信息表(UserInfo)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:50 <br>
 */

@ApiModel("用户基础信息表VO model")
@Data
public class UserInfoVO {

    @ApiModelProperty(value = "用户信息id")
    private Long userId;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "用户呢称")
    private String nickname;

    @ApiModelProperty(value = "民族")
    private String ethnic;

    @ApiModelProperty(value = "用户姓名")
    private String username;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "性别 未选中 -0| 女-1|男-2|")
    private Integer gender;

    @ApiModelProperty(value = "adminid")
    private Integer adminId;

    @ApiModelProperty(value = "创建时间")
//    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}

