package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.model.entity.HealthCode;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * @description: (HealthCode)表服务接口 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-07 06:26:53 <br>
 */

public interface HealthCodeService {


    /**
     * @param param <br>
     * @return com.yx.face.model.entity.HealthCode <br>
     * @description: 推送数据 <br>
     * @date: 2021/6/7 6:28 <br>
     * @author: PWB <br>
     */
    Boolean addMessage(@RequestParam String param);

    PageInfo<HealthCode> getHealthCodeList(RestDTO dto);
}

